Tonyu.klass.define({
  fullName: 'user.Ctx',
  shortName: 'Ctx',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Ctx_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Ctx_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      star :function _trc_Ctx_star(ctx,cx,cy,spikes,outerRadius,innerRadius,_scale,isFill) {
        "use strict";
        var _this=this;
        var scale;
        var rot;
        var x;
        var y;
        var step;
        
        scale = _scale!=null?_scale:1;
        
        outerRadius*=scale;
        innerRadius*=scale;
        rot = Tonyu.globals.$Math.PI/2*3;
        
        x = cx;
        
        y = cy;
        
        step = Tonyu.globals.$Math.PI/spikes;
        
        ctx.beginPath();
        ctx.moveTo(x,y-outerRadius);
        _this.i=0;for (; _this.i<spikes ; _this.i++) {
          Tonyu.checkLoop();
          {
            x=cx+Tonyu.globals.$Math.cos(rot)*outerRadius;
            y=cy+Tonyu.globals.$Math.sin(rot)*outerRadius;
            ctx.lineTo(x,y);
            rot+=step;
            x=cx+Tonyu.globals.$Math.cos(rot)*innerRadius;
            y=cy+Tonyu.globals.$Math.sin(rot)*innerRadius;
            ctx.lineTo(x,y);
            rot+=step;
          }
        }
        ctx.lineTo(cx,cy-outerRadius);
        ctx.closePath();
      },
      fiber$star :function _trc_Ctx_f_star(_thread,ctx,cx,cy,spikes,outerRadius,innerRadius,_scale,isFill) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var scale;
        var rot;
        var x;
        var y;
        var step;
        
        scale = _scale!=null?_scale:1;
        
        outerRadius*=scale;
        innerRadius*=scale;
        rot = Tonyu.globals.$Math.PI/2*3;
        
        x = cx;
        
        y = cy;
        
        step = Tonyu.globals.$Math.PI/spikes;
        
        ctx.beginPath();
        ctx.moveTo(x,y-outerRadius);
        _this.i=0;for (; _this.i<spikes ; _this.i++) {
          Tonyu.checkLoop();
          {
            x=cx+Tonyu.globals.$Math.cos(rot)*outerRadius;
            y=cy+Tonyu.globals.$Math.sin(rot)*outerRadius;
            ctx.lineTo(x,y);
            rot+=step;
            x=cx+Tonyu.globals.$Math.cos(rot)*innerRadius;
            y=cy+Tonyu.globals.$Math.sin(rot)*innerRadius;
            ctx.lineTo(x,y);
            rot+=step;
          }
        }
        ctx.lineTo(cx,cy-outerRadius);
        ctx.closePath();
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"star":{"nowait":false}},"fields":{"i":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Cursor',
  shortName: 'Cursor',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Cursor_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Cursor_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      SetPos :function _trc_Cursor_SetPos(tx,ty) {
        "use strict";
        var _this=this;
        
        _this.x=tx;
        _this.y=ty;
      },
      fiber$SetPos :function _trc_Cursor_f_SetPos(_thread,tx,ty) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.x=tx;
        _this.y=ty;
        
        _thread.retVal=_this;return;
      },
      Hide :function _trc_Cursor_Hide() {
        "use strict";
        var _this=this;
        
        _this.alpha=0;
      },
      fiber$Hide :function _trc_Cursor_f_Hide(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.alpha=0;
        
        _thread.retVal=_this;return;
      },
      Show :function _trc_Cursor_Show() {
        "use strict";
        var _this=this;
        
        _this.alpha=255;
      },
      fiber$Show :function _trc_Cursor_f_Show(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.alpha=255;
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"SetPos":{"nowait":false},"Hide":{"nowait":false},"Show":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Main',
  shortName: 'Main',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Main_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$Main=_this;
        Tonyu.globals.$Screen.setBGColor("#333");
        Tonyu.globals.$Screen.resize(500,500);
        Tonyu.globals.$ctx=new Tonyu.classes.user.Ctx();
        Tonyu.globals.$MaxStageCnt=10;
        Tonyu.globals.$bestResultTime=- 1;
        Tonyu.globals.$GameVersion="0.1";
        new Tonyu.classes.user.Title({});
      },
      fiber$main :function _trc_Main_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$Main=_this;
        Tonyu.globals.$Screen.setBGColor("#333");
        Tonyu.globals.$Screen.resize(500,500);
        Tonyu.globals.$ctx=new Tonyu.classes.user.Ctx();
        Tonyu.globals.$MaxStageCnt=10;
        Tonyu.globals.$bestResultTime=- 1;
        Tonyu.globals.$GameVersion="0.1";
        new Tonyu.classes.user.Title({});
        
        _thread.retVal=_this;return;
      },
      Tweet :function _trc_Main_Tweet() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$WebPage.openShareTweet("Time: "+Tonyu.globals.$Main.TimeFormatting(Tonyu.globals.$bestResultTime)+"秒 ("+Tonyu.globals.$bestResultTime+")\nタイムを競う！星繋ぎ(ver."+Tonyu.globals.$GameVersion+")");
      },
      fiber$Tweet :function _trc_Main_f_Tweet(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$WebPage.openShareTweet("Time: "+Tonyu.globals.$Main.TimeFormatting(Tonyu.globals.$bestResultTime)+"秒 ("+Tonyu.globals.$bestResultTime+")\nタイムを競う！星繋ぎ(ver."+Tonyu.globals.$GameVersion+")");
        
        _thread.retVal=_this;return;
      },
      TimeFormatting :function _trc_Main_TimeFormatting(time) {
        "use strict";
        var _this=this;
        
        return _this.floor(time/60)+"."+_this.floor(time%60/60*100);
      },
      fiber$TimeFormatting :function _trc_Main_f_TimeFormatting(_thread,time) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _thread.retVal=_this.floor(time/60)+"."+_this.floor(time%60/60*100);return;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Tweet":{"nowait":false},"TimeFormatting":{"nowait":false}},"fields":{}}
});
Tonyu.klass.define({
  fullName: 'user.Player',
  shortName: 'Player',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Player_main() {
        "use strict";
        var _this=this;
        
        _this.p=- 1;
        _this.rocket = new Tonyu.classes.user.Rocket({x: _this.x,y: _this.y,p: 3});
        
        _this.cursor = new Tonyu.classes.user.Cursor({x: _this.x,y: _this.y,p: 13});
        
        _this.touching = false;
        
        _this.on("touch",Tonyu.bindFunc(_this,_this.touch));
        while (true) {
          Tonyu.checkLoop();
          if (_this.touching) {
            _this.rocket.RotateLookAt(_this.tx,_this.ty);
            _this.rocket.Jet();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Player_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.p=- 1;
        _this.rocket = new Tonyu.classes.user.Rocket({x: _this.x,y: _this.y,p: 3});
        
        _this.cursor = new Tonyu.classes.user.Cursor({x: _this.x,y: _this.y,p: 13});
        
        _this.touching = false;
        
        _this.on("touch",Tonyu.bindFunc(_this,_this.touch));
        
        _thread.enter(function _trc_Player_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (_this.touching) {
                _this.rocket.RotateLookAt(_this.tx,_this.ty);
                _this.rocket.Jet();
                
              }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      getCrashRect :function _trc_Player_getCrashRect() {
        "use strict";
        var _this=this;
        
        return {x: Tonyu.globals.$screenWidth/2,y: Tonyu.globals.$screenHeight/2,width: Tonyu.globals.$screenWidth,height: Tonyu.globals.$screenHeight};
      },
      touch :function _trc_Player_touch(touchEvent) {
        "use strict";
        var _this=this;
        var f;
        
        f = touchEvent.finger;
        
        _this.touching=true;
        _this.SetTargetPos(f.x,f.y);
        _this.cursor.Show();
        f.on("move",(function anonymous_402(moveEvent) {
          
          _this.SetTargetPos(f.x,f.y);
        }));
        f.on("end",(function anonymous_471(endEvent) {
          
          _this.touching=false;
          _this.cursor.Hide();
        }));
      },
      fiber$touch :function _trc_Player_f_touch(_thread,touchEvent) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var f;
        
        f = touchEvent.finger;
        
        _this.touching=true;
        
        _thread.enter(function _trc_Player_ent_touch(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$SetTargetPos(_thread, f.x, f.y);
              __pc=1;return;
            case 1:
              
              _this.cursor.Show();
              f.on("move",(function anonymous_402(moveEvent) {
                
                _this.SetTargetPos(f.x,f.y);
              }));
              f.on("end",(function anonymous_471(endEvent) {
                
                _this.touching=false;
                _this.cursor.Hide();
              }));
              _thread.exit(_this);return;
            }
          }
        });
      },
      SetTargetPos :function _trc_Player_SetTargetPos(_tx,_ty) {
        "use strict";
        var _this=this;
        
        _this.tx=_tx;
        _this.ty=_ty;
        _this.cursor.SetPos(_tx,_ty);
      },
      fiber$SetTargetPos :function _trc_Player_f_SetTargetPos(_thread,_tx,_ty) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.tx=_tx;
        _this.ty=_ty;
        _this.cursor.SetPos(_tx,_ty);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"getCrashRect":{"nowait":true},"touch":{"nowait":false},"SetTargetPos":{"nowait":false}},"fields":{"rocket":{},"cursor":{},"touching":{},"tx":{},"ty":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Rocket',
  shortName: 'Rocket',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Rocket_main() {
        "use strict";
        var _this=this;
        var _it_1158;
        
        _this.p=Tonyu.globals.$pat_rocket;
        _this.angle=90;
        _this.spd=0;
        _this.zOrder=- 1;
        _this.rotation=180;
        _this.rotateSpd = 1;
        
        _this.jetPowerIncrease = 0.005;
        
        _this.jetPowerDecrease = 0.02;
        
        _this.maxJetPower = 0.3;
        
        while (! Tonyu.globals.$GameStarted) {
          Tonyu.checkLoop();
          _this.update();
          
        }
        _this.jetPower = 0;
        
        _this.angle = 90;
        
        _this.va = 0;
        
        while (true) {
          Tonyu.checkLoop();
          _this.sx = _this.x;
          
          _this.sy = _this.y;
          
          if (_this.abs(_this.va)>0.1) {
            _this.va*=0.95-_this.sgn(_this.va)*0.01;
            
          } else {
            _this.va=0;
            
          }
          _this.angle+=_this.va;
          _this.rotation=_this.angle+90;
          if (_this.angle<0) {
            _this.angle+=360;
          }
          if (_this.angle>360) {
            _this.angle-=360;
          }
          if (_this.spd>0) {
            if (! _this.jetted) {
              _this.spd*=0.95;
            }
            if (_this.spd>50) {
              _this.spd=50;
            }
            
          } else {
            _this.spd=0;
            
          }
          _this.x+=_this.spd*_this.cos(_this.angle);
          _this.y+=_this.spd*_this.sin(_this.angle);
          if (_this.x<0||_this.x>Tonyu.globals.$screenWidth) {
            _this.x=_this.sx;
          }
          if (_this.y<0||_this.y>Tonyu.globals.$screenHeight) {
            _this.y=_this.sy;
          }
          if (_this.jetted) {
            _this.jetted=false;
            
          } else {
            _this.jetPower-=_this.jetPowerDecrease;
            if (_this.jetPower<0) {
              _this.jetPower=0;
            }
            
          }
          _it_1158=Tonyu.iterator(_this.allCrash(Tonyu.classes.user.Star),1);
          while(_it_1158.next()) {
            _this.e=_it_1158[0];
            
            _this.e.Take();
            
          }
          _this.update();
          
        }
      },
      fiber$main :function _trc_Rocket_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_1158;
        
        _this.p=Tonyu.globals.$pat_rocket;
        _this.angle=90;
        _this.spd=0;
        _this.zOrder=- 1;
        _this.rotation=180;
        _this.rotateSpd = 1;
        
        _this.jetPowerIncrease = 0.005;
        
        _this.jetPowerDecrease = 0.02;
        
        _this.maxJetPower = 0.3;
        
        
        _thread.enter(function _trc_Rocket_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! Tonyu.globals.$GameStarted)) { __pc=3     ; break; }
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.jetPower = 0;
              
              _this.angle = 90;
              
              _this.va = 0;
              
            case 4:
              _this.sx = _this.x;
              
              _this.sy = _this.y;
              
              if (_this.abs(_this.va)>0.1) {
                _this.va*=0.95-_this.sgn(_this.va)*0.01;
                
              } else {
                _this.va=0;
                
              }
              _this.angle+=_this.va;
              _this.rotation=_this.angle+90;
              if (_this.angle<0) {
                _this.angle+=360;
              }
              if (_this.angle>360) {
                _this.angle-=360;
              }
              if (_this.spd>0) {
                if (! _this.jetted) {
                  _this.spd*=0.95;
                }
                if (_this.spd>50) {
                  _this.spd=50;
                }
                
              } else {
                _this.spd=0;
                
              }
              _this.x+=_this.spd*_this.cos(_this.angle);
              _this.y+=_this.spd*_this.sin(_this.angle);
              if (_this.x<0||_this.x>Tonyu.globals.$screenWidth) {
                _this.x=_this.sx;
              }
              if (_this.y<0||_this.y>Tonyu.globals.$screenHeight) {
                _this.y=_this.sy;
              }
              if (_this.jetted) {
                _this.jetted=false;
                
              } else {
                _this.jetPower-=_this.jetPowerDecrease;
                if (_this.jetPower<0) {
                  _this.jetPower=0;
                }
                
              }
              _it_1158=Tonyu.iterator(_this.allCrash(Tonyu.classes.user.Star),1);
              while(_it_1158.next()) {
                _this.e=_it_1158[0];
                
                _this.e.Take();
                
              }
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=4;break;
            case 6     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Rotate :function _trc_Rocket_Rotate(a) {
        "use strict";
        var _this=this;
        
        _this.angle+=a;
      },
      fiber$Rotate :function _trc_Rocket_f_Rotate(_thread,a) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.angle+=a;
        
        _thread.retVal=_this;return;
      },
      RotateLookAt :function _trc_Rocket_RotateLookAt(tx,ty) {
        "use strict";
        var _this=this;
        var a;
        
        a = _this.atanxy(tx-_this.x,ty-_this.y)-_this.angle;
        
        if (a>180) {
          a-=360;
        }
        if (a<- 180) {
          a+=360;
        }
        if (a<0) {
          _this.va-=_this.rotateSpd;
          
        }
        if (a>0) {
          _this.va+=_this.rotateSpd;
          
        }
      },
      fiber$RotateLookAt :function _trc_Rocket_f_RotateLookAt(_thread,tx,ty) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var a;
        
        a = _this.atanxy(tx-_this.x,ty-_this.y)-_this.angle;
        
        if (a>180) {
          a-=360;
        }
        if (a<- 180) {
          a+=360;
        }
        if (a<0) {
          _this.va-=_this.rotateSpd;
          
        }
        if (a>0) {
          _this.va+=_this.rotateSpd;
          
        }
        
        _thread.retVal=_this;return;
      },
      LookAt :function _trc_Rocket_LookAt(tx,ty) {
        "use strict";
        var _this=this;
        
        _this.angle=_this.atanxy(tx-_this.x,ty-_this.y);
      },
      fiber$LookAt :function _trc_Rocket_f_LookAt(_thread,tx,ty) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.angle=_this.atanxy(tx-_this.x,ty-_this.y);
        
        _thread.retVal=_this;return;
      },
      Jet :function _trc_Rocket_Jet() {
        "use strict";
        var _this=this;
        
        _this.jetPower+=_this.jetPowerIncrease;
        if (_this.jetPower>_this.maxJetPower) {
          _this.jetPower=_this.maxJetPower;
        }
        _this.spd+=_this.jetPower;
        _this.jetted=true;
        if (_this.rnd(_this.spd+7)>6) {
          _this.NewManySplash(_this.rnd(_this.jetPower*10+1)/2);
        }
      },
      fiber$Jet :function _trc_Rocket_f_Jet(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.jetPower+=_this.jetPowerIncrease;
        if (_this.jetPower>_this.maxJetPower) {
          _this.jetPower=_this.maxJetPower;
        }
        _this.spd+=_this.jetPower;
        _this.jetted=true;
        if (_this.rnd(_this.spd+7)>6) {
          _this.NewManySplash(_this.rnd(_this.jetPower*10+1)/2);
        }
        
        _thread.retVal=_this;return;
      },
      NewManySplash :function _trc_Rocket_NewManySplash(cnt) {
        "use strict";
        var _this=this;
        var i;
        
        if (cnt>3) {
          cnt=3;
        }
        i = 0;
        for (; i<cnt ; i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.Splash({x: _this.x+_this.rnd(8)-4,y: _this.y+_this.rnd(8)-4,spd: _this.jetPower*20+3,angle: _this.angle+_this.rnd(_this.spd*10)-_this.spd*5+180});
          }
        }
      },
      fiber$NewManySplash :function _trc_Rocket_f_NewManySplash(_thread,cnt) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var i;
        
        if (cnt>3) {
          cnt=3;
        }
        i = 0;
        for (; i<cnt ; i++) {
          Tonyu.checkLoop();
          {
            new Tonyu.classes.user.Splash({x: _this.x+_this.rnd(8)-4,y: _this.y+_this.rnd(8)-4,spd: _this.jetPower*20+3,angle: _this.angle+_this.rnd(_this.spd*10)-_this.spd*5+180});
          }
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"Rotate":{"nowait":false},"RotateLookAt":{"nowait":false},"LookAt":{"nowait":false},"Jet":{"nowait":false},"NewManySplash":{"nowait":false}},"fields":{"rotateSpd":{},"jetPowerIncrease":{},"jetPowerDecrease":{},"maxJetPower":{},"jetPower":{},"angle":{},"va":{},"sx":{},"sy":{},"spd":{},"jetted":{},"e":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Splash',
  shortName: 'Splash',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Splash_main() {
        "use strict";
        var _this=this;
        
        _this.useObjectPool=true;
        _this.spd*=_this.rnd(40)/40;
        while (true) {
          Tonyu.checkLoop();
          _this.size*=0.8;
          _this.size-=0.1;
          if (_this.size<=0) {
            _this.die();
          }
          _this.p=_this.getp();
          _this.spd*=0.95;
          _this.x+=_this.spd*_this.cos(_this.angle);
          _this.y+=_this.spd*_this.sin(_this.angle);
          _this.update();
          
        }
      },
      fiber$main :function _trc_Splash_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.useObjectPool=true;
        _this.spd*=_this.rnd(40)/40;
        
        _thread.enter(function _trc_Splash_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              _this.size*=0.8;
              _this.size-=0.1;
              if (_this.size<=0) {
                _this.die();
              }
              _this.p=_this.getp();
              _this.spd*=0.95;
              _this.x+=_this.spd*_this.cos(_this.angle);
              _this.y+=_this.spd*_this.sin(_this.angle);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      initialize :function _trc_Splash_initialize(x) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [x]);
        _this.spd=x.spd!=null?x.spd:0;
        _this.angle=x.angle!=null?x.angle:0;
        _this.size=_this.spd*5+_this.rnd(10);
        _this.p=_this.getp();
        _this.scaleX=3;
      },
      getp :function _trc_Splash_getp() {
        "use strict";
        var _this=this;
        
        if (_this.size<=1) {
          return Tonyu.globals.$pat_splash+3;
        } else {
          if (_this.size<=5) {
            return Tonyu.globals.$pat_splash+2;
          } else {
            if (_this.size<=10) {
              return Tonyu.globals.$pat_splash+1;
            } else {
              return Tonyu.globals.$pat_splash;
            }
          }
        }
      },
      fiber$getp :function _trc_Splash_f_getp(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (_this.size<=1) {
          _thread.retVal=Tonyu.globals.$pat_splash+3;return;
          
        } else {
          if (_this.size<=5) {
            _thread.retVal=Tonyu.globals.$pat_splash+2;return;
            
          } else {
            if (_this.size<=10) {
              _thread.retVal=Tonyu.globals.$pat_splash+1;return;
              
            } else {
              _thread.retVal=Tonyu.globals.$pat_splash;return;
              
            }
          }
        }
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"getp":{"nowait":false}},"fields":{"spd":{},"angle":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Stage',
  shortName: 'Stage',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Stage_main() {
        "use strict";
        var _this=this;
        
        Tonyu.globals.$GameStarted=false;
        Tonyu.globals.$GameFinished=false;
        Tonyu.globals.$GameTime=0;
        new Tonyu.classes.user.Player({x: 250,y: 150});
        _this.ui = new Tonyu.classes.user.StageUI({});
        
        _this.starMgrs=[];
        _this.nowStageCnt=1;
        _this.i = 0;
        for (; _this.i<3 ; _this.i++) {
          Tonyu.checkLoop();
          {
            _this.AddStarMgr(3);
          }
        }
        _this.t = 90;
        
        _this.ui.t=_this.t;
        _this.ui.maxt=_this.t;
        while (_this.t>0) {
          Tonyu.checkLoop();
          _this.t--;
          _this.ui.t=_this.t;
          _this.update();
          
        }
        Tonyu.globals.$GameStarted=true;
      },
      fiber$main :function _trc_Stage_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        Tonyu.globals.$GameStarted=false;
        Tonyu.globals.$GameFinished=false;
        Tonyu.globals.$GameTime=0;
        new Tonyu.classes.user.Player({x: 250,y: 150});
        _this.ui = new Tonyu.classes.user.StageUI({});
        
        _this.starMgrs=[];
        _this.nowStageCnt=1;
        
        _thread.enter(function _trc_Stage_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.i = 0;
              
            case 1:
              if (!(_this.i<3)) { __pc=4     ; break; }
              _this.fiber$AddStarMgr(_thread, 3);
              __pc=2;return;
            case 2:
              
            case 3     :
              _this.i++;
              __pc=1;break;
            case 4     :
              
              _this.t = 90;
              
              _this.ui.t=_this.t;
              _this.ui.maxt=_this.t;
            case 5:
              if (!(_this.t>0)) { __pc=7     ; break; }
              _this.t--;
              _this.ui.t=_this.t;
              _this.fiber$update(_thread);
              __pc=6;return;
            case 6:
              
              __pc=5;break;
            case 7     :
              
              Tonyu.globals.$GameStarted=true;
              _thread.exit(_this);return;
            }
          }
        });
      },
      AddStarMgr :function _trc_Stage_AddStarMgr(kazu) {
        "use strict";
        var _this=this;
        var i;
        var starMgr;
        
        i = _this.starMgrs.length;
        
        starMgr = new Tonyu.classes.user.StarManager({i: i,zOrder: i+1,kazu: kazu});
        
        starMgr.StarAppear();
        starMgr.AddSignalReceiver(Tonyu.bindFunc(_this,_this.OnStarMgrSignal));
        starMgr.Deep(i);
        _this.starMgrs.push(starMgr);
      },
      fiber$AddStarMgr :function _trc_Stage_f_AddStarMgr(_thread,kazu) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var i;
        var starMgr;
        
        i = _this.starMgrs.length;
        
        starMgr = new Tonyu.classes.user.StarManager({i: i,zOrder: i+1,kazu: kazu});
        
        starMgr.StarAppear();
        starMgr.AddSignalReceiver(Tonyu.bindFunc(_this,_this.OnStarMgrSignal));
        starMgr.Deep(i);
        _this.starMgrs.push(starMgr);
        
        _thread.retVal=_this;return;
      },
      OnStarMgrSignal :function _trc_Stage_OnStarMgrSignal(mgr) {
        "use strict";
        var _this=this;
        var _it_1164;
        
        if (mgr.finished) {
          _it_1164=Tonyu.iterator(_this.starMgrs,1);
          while(_it_1164.next()) {
            _this.stmgr=_it_1164[0];
            
            _this.stmgr.ShallowUp();
            
          }
          _this.starMgrs.shift();
          if (_this.nowStageCnt==Tonyu.globals.$MaxStageCnt) {
            Tonyu.globals.$GameFinished=true;
            return _this;
            
          }
          if (_this.nowStageCnt+_this.starMgrs.length<Tonyu.globals.$MaxStageCnt) {
            _this.AddStarMgr(4+_this.floor(_this.nowStageCnt/2));
          }
          _this.nowStageCnt++;
          _this.ui.OnStageChange(_this.nowStageCnt);
          
        }
      },
      fiber$OnStarMgrSignal :function _trc_Stage_f_OnStarMgrSignal(_thread,mgr) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_1164;
        
        
        _thread.enter(function _trc_Stage_ent_OnStarMgrSignal(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(mgr.finished)) { __pc=4     ; break; }
              _it_1164=Tonyu.iterator(_this.starMgrs,1);
              while(_it_1164.next()) {
                _this.stmgr=_it_1164[0];
                
                _this.stmgr.ShallowUp();
                
              }
              _this.starMgrs.shift();
              if (!(_this.nowStageCnt==Tonyu.globals.$MaxStageCnt)) { __pc=1     ; break; }
              Tonyu.globals.$GameFinished=true;
              _thread.exit(_this);return;
            case 1     :
              
              if (!(_this.nowStageCnt+_this.starMgrs.length<Tonyu.globals.$MaxStageCnt)) { __pc=3     ; break; }
              _this.fiber$AddStarMgr(_thread, 4+_this.floor(_this.nowStageCnt/2));
              __pc=2;return;
            case 2:
              
            case 3     :
              
              _this.nowStageCnt++;
              _this.ui.OnStageChange(_this.nowStageCnt);
            case 4     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"AddStarMgr":{"nowait":false},"OnStarMgrSignal":{"nowait":false}},"fields":{"ui":{},"i":{},"t":{},"starMgrs":{},"nowStageCnt":{},"stmgr":{}}}
});
Tonyu.klass.define({
  fullName: 'user.StageUI',
  shortName: 'StageUI',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_StageUI_main() {
        "use strict";
        var _this=this;
        
        _this.nowStageLabel = new Tonyu.classes.kernel.Label({x: 0,y: 0,text: "Stage: 1",align: "left",size: 16,lifeKeeper: _this});
        
        new Tonyu.classes.kernel.Button({left: 450,top: 0,width: 50,height: 14,padding: 1,text: "Restart",onClick: Tonyu.bindFunc(_this,_this.Restart)});
        _this.readyPanel = new Tonyu.classes.kernel.Panel({layer: Tonyu.globals.$frontLayer,zOrder: - 99,alpha: 64});
        
        _this.readyLabel = new Tonyu.classes.kernel.Label({x: 250,y: 230,align: "center",text: "Ready...",zOrder: - 100,size: 40});
        
        while (! Tonyu.globals.$GameStarted) {
          Tonyu.checkLoop();
          _this.readyPanel.setFillStyle("#555");
          _this.readyPanel.fillRect(0,200,500,100);
          _this.readyPanel.setFillStyle("#ff3");
          _this.readyPanel.fillRect(0,200,_this.t/_this.maxt*500,100);
          _this.update();
          
        }
        _this.readyLabel.die();
        _this.readyPanel.die();
        _this.timeLabel = new Tonyu.classes.kernel.Label({x: 250,y: 160,align: "center",text: "0",size: 180,alpha: 64});
        
        while (! Tonyu.globals.$GameFinished) {
          Tonyu.checkLoop();
          Tonyu.globals.$GameTime++;
          _this.timeLabel.text=Tonyu.globals.$GameTime;
          _this.update();
          
        }
        if (Tonyu.globals.$bestResultTime==- 1||Tonyu.globals.$GameTime<Tonyu.globals.$bestResultTime) {
          Tonyu.globals.$bestResultTime=Tonyu.globals.$GameTime;
        }
        new Tonyu.classes.kernel.Label({x: 250,y: 80,text: "Clear!",align: "center",size: 60,lifeKeeper: _this});
        new Tonyu.classes.kernel.Label({x: 250,y: 350,text: "BestTime: "+Tonyu.globals.$bestResultTime,align: "center",size: 30,lifeKeeper: _this});
        new Tonyu.classes.kernel.Button({left: 50,top: Tonyu.globals.$screenHeight-100,width: 200,padding: 10,text: "Restart",onClick: Tonyu.bindFunc(_this,_this.Restart)});
        new Tonyu.classes.kernel.Button({left: 300,top: Tonyu.globals.$screenHeight-100,width: 150,padding: 10,text: "Tweet",onClick: Tonyu.globals.$Main.Tweet});
      },
      fiber$main :function _trc_StageUI_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.nowStageLabel = new Tonyu.classes.kernel.Label({x: 0,y: 0,text: "Stage: 1",align: "left",size: 16,lifeKeeper: _this});
        
        new Tonyu.classes.kernel.Button({left: 450,top: 0,width: 50,height: 14,padding: 1,text: "Restart",onClick: Tonyu.bindFunc(_this,_this.Restart)});
        _this.readyPanel = new Tonyu.classes.kernel.Panel({layer: Tonyu.globals.$frontLayer,zOrder: - 99,alpha: 64});
        
        _this.readyLabel = new Tonyu.classes.kernel.Label({x: 250,y: 230,align: "center",text: "Ready...",zOrder: - 100,size: 40});
        
        
        _thread.enter(function _trc_StageUI_ent_main(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
            case 1:
              if (!(! Tonyu.globals.$GameStarted)) { __pc=3     ; break; }
              _this.readyPanel.setFillStyle("#555");
              _this.readyPanel.fillRect(0,200,500,100);
              _this.readyPanel.setFillStyle("#ff3");
              _this.readyPanel.fillRect(0,200,_this.t/_this.maxt*500,100);
              _this.fiber$update(_thread);
              __pc=2;return;
            case 2:
              
              __pc=1;break;
            case 3     :
              
              _this.readyLabel.die();
              _this.readyPanel.die();
              _this.timeLabel = new Tonyu.classes.kernel.Label({x: 250,y: 160,align: "center",text: "0",size: 180,alpha: 64});
              
            case 4:
              if (!(! Tonyu.globals.$GameFinished)) { __pc=6     ; break; }
              Tonyu.globals.$GameTime++;
              _this.timeLabel.text=Tonyu.globals.$GameTime;
              _this.fiber$update(_thread);
              __pc=5;return;
            case 5:
              
              __pc=4;break;
            case 6     :
              
              if (Tonyu.globals.$bestResultTime==- 1||Tonyu.globals.$GameTime<Tonyu.globals.$bestResultTime) {
                Tonyu.globals.$bestResultTime=Tonyu.globals.$GameTime;
              }
              new Tonyu.classes.kernel.Label({x: 250,y: 80,text: "Clear!",align: "center",size: 60,lifeKeeper: _this});
              new Tonyu.classes.kernel.Label({x: 250,y: 350,text: "BestTime: "+Tonyu.globals.$bestResultTime,align: "center",size: 30,lifeKeeper: _this});
              new Tonyu.classes.kernel.Button({left: 50,top: Tonyu.globals.$screenHeight-100,width: 200,padding: 10,text: "Restart",onClick: Tonyu.bindFunc(_this,_this.Restart)});
              new Tonyu.classes.kernel.Button({left: 300,top: Tonyu.globals.$screenHeight-100,width: 150,padding: 10,text: "Tweet",onClick: Tonyu.globals.$Main.Tweet});
              _thread.exit(_this);return;
            }
          }
        });
      },
      OnStageChange :function _trc_StageUI_OnStageChange(stagecnt) {
        "use strict";
        var _this=this;
        
        _this.nowStageLabel.text="Stage: "+stagecnt;
      },
      fiber$OnStageChange :function _trc_StageUI_f_OnStageChange(_thread,stagecnt) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.nowStageLabel.text="Stage: "+stagecnt;
        
        _thread.retVal=_this;return;
      },
      Restart :function _trc_StageUI_Restart() {
        "use strict";
        var _this=this;
        
        _this.loadPage(Tonyu.classes.user.Title);
      },
      fiber$Restart :function _trc_StageUI_f_Restart(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_StageUI_ent_Restart(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Title);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"OnStageChange":{"nowait":false},"Restart":{"nowait":false}},"fields":{"nowStageLabel":{},"readyPanel":{},"readyLabel":{},"timeLabel":{},"t":{},"maxt":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Star',
  shortName: 'Star',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Star_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_Star_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_Star_initialize(x) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [x]);
        _this.index=x.i!=null?x.i:_this.index;
        _this.observers=[];
        _this.scaleX=0.5;
        _this.alpha=128;
        _this.actived=false;
        _this.taked=false;
        _this.size=64;
        _this.textLabel=new Tonyu.classes.kernel.Label({x: _this.x,y: _this.y-16,align: "center",text: _this.index+1,zOrder: _this.zOrder-1,size: _this.size*_this.scaleX/2,fillStyle: "#f00"});
      },
      draw :function _trc_Star_draw(ctx) {
        "use strict";
        var _this=this;
        var scale;
        
        scale = _this.scaleX;
        
        ctx.globalAlpha=_this.alpha/255;
        Tonyu.globals.$ctx.star(ctx,_this.x,_this.y,5,_this.size/2,_this.size/4,scale);
        ctx.fillStyle='yellow';
        ctx.fill();
      },
      getCrashRect :function _trc_Star_getCrashRect() {
        "use strict";
        var _this=this;
        
        return {x: _this.x,y: _this.y,width: _this.size*_this.scaleX,height: _this.size*_this.scaleX};
      },
      Deep :function _trc_Star_Deep(level) {
        "use strict";
        var _this=this;
        
        if (level==- 1) {
          _this.textLabel.die();
          _this.die();
          
        }
        if (level==0) {
          _this.ScaleChange(0.7);
          _this.alpha=198;
          _this.textLabel.alpha=255;
          
        }
        if (level==1) {
          _this.ScaleChange(0.25);
          _this.alpha=64;
          if (_this.index==0) {
            _this.textLabel.alpha=128;
          } else {
            _this.textLabel.alpha=0;
          }
          
        }
        if (level==2) {
          _this.ScaleChange(0.125);
          _this.alpha=32;
          _this.textLabel.alpha=0;
          
        }
      },
      fiber$Deep :function _trc_Star_f_Deep(_thread,level) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        if (level==- 1) {
          _this.textLabel.die();
          _this.die();
          
        }
        
        _thread.enter(function _trc_Star_ent_Deep(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(level==0)) { __pc=2     ; break; }
              _this.fiber$ScaleChange(_thread, 0.7);
              __pc=1;return;
            case 1:
              
              _this.alpha=198;
              _this.textLabel.alpha=255;
            case 2     :
              
              if (!(level==1)) { __pc=4     ; break; }
              _this.fiber$ScaleChange(_thread, 0.25);
              __pc=3;return;
            case 3:
              
              _this.alpha=64;
              if (_this.index==0) {
                _this.textLabel.alpha=128;
              } else {
                _this.textLabel.alpha=0;
              }
            case 4     :
              
              if (!(level==2)) { __pc=6     ; break; }
              _this.fiber$ScaleChange(_thread, 0.125);
              __pc=5;return;
            case 5:
              
              _this.alpha=32;
              _this.textLabel.alpha=0;
            case 6     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Active :function _trc_Star_Active() {
        "use strict";
        var _this=this;
        
        _this.ScaleChange(1);
        _this.alpha=255;
        _this.actived=true;
      },
      fiber$Active :function _trc_Star_f_Active(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Star_ent_Active(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$ScaleChange(_thread, 1);
              __pc=1;return;
            case 1:
              
              _this.alpha=255;
              _this.actived=true;
              _thread.exit(_this);return;
            }
          }
        });
      },
      ScaleChange :function _trc_Star_ScaleChange(scale) {
        "use strict";
        var _this=this;
        
        _this.scaleX=scale;
        if (_this.size*_this.scaleX/2>16) {
          _this.textLabel.size=_this.size*_this.scaleX/2;
        } else {
          _this.textLabel.size=16;
        }
        _this.textLabel.y=_this.y-_this.textLabel.size/2;
      },
      fiber$ScaleChange :function _trc_Star_f_ScaleChange(_thread,scale) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.scaleX=scale;
        if (_this.size*_this.scaleX/2>16) {
          _this.textLabel.size=_this.size*_this.scaleX/2;
        } else {
          _this.textLabel.size=16;
        }
        _this.textLabel.y=_this.y-_this.textLabel.size/2;
        
        _thread.retVal=_this;return;
      },
      Take :function _trc_Star_Take() {
        "use strict";
        var _this=this;
        
        if (_this.actived&&! _this.taked) {
          _this.taked=true;
          _this.textLabel.die();
          _this.Signal();
          
        }
      },
      fiber$Take :function _trc_Star_f_Take(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Star_ent_Take(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(_this.actived&&! _this.taked)) { __pc=2     ; break; }
              _this.taked=true;
              _this.textLabel.die();
              _this.fiber$Signal(_thread);
              __pc=1;return;
            case 1:
              
            case 2     :
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Signal :function _trc_Star_Signal() {
        "use strict";
        var _this=this;
        var _it_1167;
        
        _it_1167=Tonyu.iterator(_this.observers,1);
        while(_it_1167.next()) {
          _this.ob=_it_1167[0];
          
          _this.ob(_this);
          
        }
      },
      fiber$Signal :function _trc_Star_f_Signal(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_1167;
        
        _it_1167=Tonyu.iterator(_this.observers,1);
        while(_it_1167.next()) {
          _this.ob=_it_1167[0];
          
          _this.ob(_this);
          
        }
        
        _thread.retVal=_this;return;
      },
      AddSignalReceiver :function _trc_Star_AddSignalReceiver(ob) {
        "use strict";
        var _this=this;
        
        _this.observers.push(ob);
      },
      fiber$AddSignalReceiver :function _trc_Star_f_AddSignalReceiver(_thread,ob) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.observers.push(ob);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"draw":{"nowait":true},"getCrashRect":{"nowait":true},"Deep":{"nowait":false},"Active":{"nowait":false},"ScaleChange":{"nowait":false},"Take":{"nowait":false},"Signal":{"nowait":false},"AddSignalReceiver":{"nowait":false}},"fields":{"ob":{}}}
});
Tonyu.klass.define({
  fullName: 'user.StarLine',
  shortName: 'StarLine',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_StarLine_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_StarLine_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_StarLine_initialize(x) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [x]);
        _this.index=x.i!=null?x.i:_this.index;
        _this.panel=new Tonyu.classes.kernel.Panel({lifeKeeper: _this});
        _this.len=0;
      },
      SetFrom :function _trc_StarLine_SetFrom(obj) {
        "use strict";
        var _this=this;
        
        _this.from=obj;
      },
      fiber$SetFrom :function _trc_StarLine_f_SetFrom(_thread,obj) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.from=obj;
        
        _thread.retVal=_this;return;
      },
      SetTo :function _trc_StarLine_SetTo(obj) {
        "use strict";
        var _this=this;
        
        _this.to=obj;
      },
      fiber$SetTo :function _trc_StarLine_f_SetTo(_thread,obj) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.to=obj;
        
        _thread.retVal=_this;return;
      },
      SetPair :function _trc_StarLine_SetPair(t1,t2) {
        "use strict";
        var _this=this;
        var t1;
        var t2;
        var x;
        var y;
        var rotation;
        
        _this.SetFrom(t1);
        _this.SetTo(t2);
        if (t1.x==t2.x&&t1.y==t2.y) {
          t1.x+=1;
        }
        t1 = _this.from;
        
        t2 = _this.to;
        
        x = (t1.x+t2.x)/2;
        
        y = (t1.y+t2.y)/2;
        
        rotation = _this.atanxy(t1.x-t2.x,t1.y-t2.y);
        
        _this.panel.x=x;
        _this.panel.y=y;
        _this.len=_this.abs(_this.dist2(t1,t2));
        _this.panel.resize(_this.len,5);
        _this.panel.rotation=rotation;
      },
      fiber$SetPair :function _trc_StarLine_f_SetPair(_thread,t1,t2) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var t1;
        var t2;
        var x;
        var y;
        var rotation;
        
        
        _thread.enter(function _trc_StarLine_ent_SetPair(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$SetFrom(_thread, t1);
              __pc=1;return;
            case 1:
              
              _this.fiber$SetTo(_thread, t2);
              __pc=2;return;
            case 2:
              
              if (t1.x==t2.x&&t1.y==t2.y) {
                t1.x+=1;
              }
              t1 = _this.from;
              
              t2 = _this.to;
              
              x = (t1.x+t2.x)/2;
              
              y = (t1.y+t2.y)/2;
              
              rotation = _this.atanxy(t1.x-t2.x,t1.y-t2.y);
              
              _this.panel.x=x;
              _this.panel.y=y;
              _this.len=_this.abs(_this.dist2(t1,t2));
              _this.panel.resize(_this.len,5);
              _this.panel.rotation=rotation;
              _thread.exit(_this);return;
            }
          }
        });
      },
      OrderAdvance :function _trc_StarLine_OrderAdvance() {
        "use strict";
        var _this=this;
        
        if (_this.index==0) {
          _this.Connect();
        }
        if (_this.index==1) {
          _this.Next();
        }
        _this.index--;
      },
      fiber$OrderAdvance :function _trc_StarLine_f_OrderAdvance(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_StarLine_ent_OrderAdvance(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(_this.index==0)) { __pc=2     ; break; }
              _this.fiber$Connect(_thread);
              __pc=1;return;
            case 1:
              
            case 2     :
              
              if (!(_this.index==1)) { __pc=4     ; break; }
              _this.fiber$Next(_thread);
              __pc=3;return;
            case 3:
              
            case 4     :
              
              _this.index--;
              _thread.exit(_this);return;
            }
          }
        });
      },
      Connect :function _trc_StarLine_Connect() {
        "use strict";
        var _this=this;
        
        _this.panel.clearRect(0,0,_this.len,5);
        _this.panel.alpha=255;
        _this.panel.fillStyle="#6ff";
        _this.panel.fillRect(0,0,_this.len,5);
      },
      fiber$Connect :function _trc_StarLine_f_Connect(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.panel.clearRect(0,0,_this.len,5);
        _this.panel.alpha=255;
        _this.panel.fillStyle="#6ff";
        _this.panel.fillRect(0,0,_this.len,5);
        
        _thread.retVal=_this;return;
      },
      Next :function _trc_StarLine_Next() {
        "use strict";
        var _this=this;
        
        _this.panel.clearRect(0,0,_this.len,5);
        _this.panel.alpha=128;
        _this.panel.fillStyle="#fff";
        _this.panel.fillRect(0,0,_this.len,5);
      },
      fiber$Next :function _trc_StarLine_f_Next(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.panel.clearRect(0,0,_this.len,5);
        _this.panel.alpha=128;
        _this.panel.fillStyle="#fff";
        _this.panel.fillRect(0,0,_this.len,5);
        
        _thread.retVal=_this;return;
      },
      Clear :function _trc_StarLine_Clear() {
        "use strict";
        var _this=this;
        
        _this.panel.clearRect(0,0,_this.len,5);
      },
      fiber$Clear :function _trc_StarLine_f_Clear(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.panel.clearRect(0,0,_this.len,5);
        
        _thread.retVal=_this;return;
      },
      dist2 :function _trc_StarLine_dist2(t1,t2) {
        "use strict";
        var _this=this;
        var dx;
        var dy;
        
        dx = t1.x-t2.x;
        
        dy = t1.y-t2.y;
        
        return _this.sqrt(dx*dx+dy*dy);
      },
      fiber$dist2 :function _trc_StarLine_f_dist2(_thread,t1,t2) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var dx;
        var dy;
        
        dx = t1.x-t2.x;
        
        dy = t1.y-t2.y;
        
        _thread.retVal=_this.sqrt(dx*dx+dy*dy);return;
        
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"SetFrom":{"nowait":false},"SetTo":{"nowait":false},"SetPair":{"nowait":false},"OrderAdvance":{"nowait":false},"Connect":{"nowait":false},"Next":{"nowait":false},"Clear":{"nowait":false},"dist2":{"nowait":false}},"fields":{"len":{}}}
});
Tonyu.klass.define({
  fullName: 'user.StarManager',
  shortName: 'StarManager',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_StarManager_main() {
        "use strict";
        var _this=this;
        
      },
      fiber$main :function _trc_StarManager_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.retVal=_this;return;
      },
      initialize :function _trc_StarManager_initialize(x) {
        "use strict";
        var _this=this;
        
        __superClass.apply( _this, [x]);
        _this.index=x.i!=null?x.i:_this.index;
        _this.observers=[];
        _this.stars=[];
        _this.lines=[];
        _this.cnt=x.kazu?x.kazu:_this.cnt;
        _this.started=false;
        _this.finished=false;
        _this.deepLevel=0;
      },
      ShallowUp :function _trc_StarManager_ShallowUp() {
        "use strict";
        var _this=this;
        
        _this.Deep(_this.deepLevel-1);
      },
      fiber$ShallowUp :function _trc_StarManager_f_ShallowUp(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_StarManager_ent_ShallowUp(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$Deep(_thread, _this.deepLevel-1);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      Deep :function _trc_StarManager_Deep(level) {
        "use strict";
        var _this=this;
        var _it_1176;
        
        _this.deepLevel=level;
        _it_1176=Tonyu.iterator(_this.stars,1);
        while(_it_1176.next()) {
          _this.star=_it_1176[0];
          
          _this.star.Deep(level);
          
        }
        if (level==0) {
          _this.started=true;
          _this.stars[0].Active();
          
        }
        if (level==- 1) {
          _this.die();
        }
      },
      fiber$Deep :function _trc_StarManager_f_Deep(_thread,level) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_1176;
        
        _this.deepLevel=level;
        _it_1176=Tonyu.iterator(_this.stars,1);
        while(_it_1176.next()) {
          _this.star=_it_1176[0];
          
          _this.star.Deep(level);
          
        }
        if (level==0) {
          _this.started=true;
          _this.stars[0].Active();
          
        }
        if (level==- 1) {
          _this.die();
        }
        
        _thread.retVal=_this;return;
      },
      NewStarLine :function _trc_StarManager_NewStarLine(t1,t2) {
        "use strict";
        var _this=this;
        var line;
        
        line = new Tonyu.classes.user.StarLine({i: _this.lines.length,lifeKeeper: _this});
        
        line.SetPair(t1,t2);
        _this.lines.push(line);
        return line;
      },
      fiber$NewStarLine :function _trc_StarManager_f_NewStarLine(_thread,t1,t2) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var line;
        
        line = new Tonyu.classes.user.StarLine({i: _this.lines.length,lifeKeeper: _this});
        
        line.SetPair(t1,t2);
        _this.lines.push(line);
        _thread.retVal=line;return;
        
        
        _thread.retVal=_this;return;
      },
      StarLineOrderAdvance :function _trc_StarManager_StarLineOrderAdvance() {
        "use strict";
        var _this=this;
        var _it_1179;
        
        _it_1179=Tonyu.iterator(_this.lines,1);
        while(_it_1179.next()) {
          _this.line=_it_1179[0];
          
          _this.line.OrderAdvance();
          
        }
      },
      fiber$StarLineOrderAdvance :function _trc_StarManager_f_StarLineOrderAdvance(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_1179;
        
        _it_1179=Tonyu.iterator(_this.lines,1);
        while(_it_1179.next()) {
          _this.line=_it_1179[0];
          
          _this.line.OrderAdvance();
          
        }
        
        _thread.retVal=_this;return;
      },
      OnStarSignal :function _trc_StarManager_OnStarSignal(star) {
        "use strict";
        var _this=this;
        var index;
        
        index = star.index;
        
        if (index>=_this.stars.length-1) {
          _this.finished=true;
          
        } else {
          _this.stars[index+1].Active();
          _this.StarLineOrderAdvance();
          
        }
        _this.Signal();
        return _this;
      },
      fiber$OnStarSignal :function _trc_StarManager_f_OnStarSignal(_thread,star) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var index;
        
        index = star.index;
        
        
        _thread.enter(function _trc_StarManager_ent_OnStarSignal(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              if (!(index>=_this.stars.length-1)) { __pc=1     ; break; }
              {
                _this.finished=true;
              }
              __pc=3     ;break;
            case 1     :
              _this.stars[index+1].Active();
              _this.fiber$StarLineOrderAdvance(_thread);
              __pc=2;return;
            case 2:
              
            case 3     :
              
              _this.fiber$Signal(_thread);
              __pc=4;return;
            case 4:
              
              _thread.exit(_this);return;
              _thread.exit(_this);return;
            }
          }
        });
      },
      StarAppear :function _trc_StarManager_StarAppear() {
        "use strict";
        var _this=this;
        var i;
        var star;
        var line;
        
        _this.stars=[];
        i = 0;
        for (; i<_this.cnt ; i++) {
          Tonyu.checkLoop();
          {
            star = new Tonyu.classes.user.Star({x: _this.rnd(40)*10+50,y: _this.rnd(40)*10+50,i: i,zOrder: _this.zOrder});
            
            star.AddSignalReceiver(Tonyu.bindFunc(_this,_this.OnStarSignal));
            _this.stars.push(star);
            if (i>=1) {
              line = new Tonyu.classes.user.StarLine({i: i,lifeKeeper: _this});
              
              line.SetPair(_this.stars[i-1],star);
              _this.lines.push(line);
              
            }
          }
        }
      },
      fiber$StarAppear :function _trc_StarManager_f_StarAppear(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var i;
        var star;
        var line;
        
        _this.stars=[];
        i = 0;
        for (; i<_this.cnt ; i++) {
          Tonyu.checkLoop();
          {
            star = new Tonyu.classes.user.Star({x: _this.rnd(40)*10+50,y: _this.rnd(40)*10+50,i: i,zOrder: _this.zOrder});
            
            star.AddSignalReceiver(Tonyu.bindFunc(_this,_this.OnStarSignal));
            _this.stars.push(star);
            if (i>=1) {
              line = new Tonyu.classes.user.StarLine({i: i,lifeKeeper: _this});
              
              line.SetPair(_this.stars[i-1],star);
              _this.lines.push(line);
              
            }
          }
        }
        
        _thread.retVal=_this;return;
      },
      Signal :function _trc_StarManager_Signal() {
        "use strict";
        var _this=this;
        var _it_1185;
        
        _it_1185=Tonyu.iterator(_this.observers,1);
        while(_it_1185.next()) {
          _this.ob=_it_1185[0];
          
          _this.ob(_this);
          
        }
      },
      fiber$Signal :function _trc_StarManager_f_Signal(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        var _it_1185;
        
        _it_1185=Tonyu.iterator(_this.observers,1);
        while(_it_1185.next()) {
          _this.ob=_it_1185[0];
          
          _this.ob(_this);
          
        }
        
        _thread.retVal=_this;return;
      },
      AddSignalReceiver :function _trc_StarManager_AddSignalReceiver(ob) {
        "use strict";
        var _this=this;
        
        _this.observers.push(ob);
      },
      fiber$AddSignalReceiver :function _trc_StarManager_f_AddSignalReceiver(_thread,ob) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        _this.observers.push(ob);
        
        _thread.retVal=_this;return;
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"new":{"nowait":false},"ShallowUp":{"nowait":false},"Deep":{"nowait":false},"NewStarLine":{"nowait":false},"StarLineOrderAdvance":{"nowait":false},"OnStarSignal":{"nowait":false},"StarAppear":{"nowait":false},"Signal":{"nowait":false},"AddSignalReceiver":{"nowait":false}},"fields":{"star":{},"line":{},"stars":{},"finished":{},"cnt":{},"ob":{}}}
});
Tonyu.klass.define({
  fullName: 'user.Title',
  shortName: 'Title',
  namespace: 'user',
  superclass: Tonyu.classes.kernel.Actor,
  includes: [],
  methods: function (__superClass) {
    return {
      main :function _trc_Title_main() {
        "use strict";
        var _this=this;
        
        new Tonyu.classes.kernel.Label({x: 250,y: 60,align: "center",text: "星繋ぎ",size: 60});
        new Tonyu.classes.kernel.Label({x: 350,y: 100,align: "left",text: "(ver."+Tonyu.globals.$GameVersion+")",size: 20});
        new Tonyu.classes.kernel.Label({x: 250,y: 200,align: "center",template: "ステージ数=$MaxStageCnt",size: 20});
        new Tonyu.classes.kernel.Button({top: 250,text: "Start",onClick: Tonyu.bindFunc(_this,_this.StageStart)});
        if (Tonyu.globals.$bestResultTime!=- 1) {
          new Tonyu.classes.kernel.Label({x: 250,y: 350,text: "BestTime: "+Tonyu.globals.$bestResultTime,align: "center",size: 30,lifeKeeper: _this});
          new Tonyu.classes.kernel.Button({left: 150,top: Tonyu.globals.$screenHeight-100,width: 200,padding: 10,text: "Tweet",onClick: Tonyu.globals.$Main.Tweet});
          
        }
      },
      fiber$main :function _trc_Title_f_main(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        new Tonyu.classes.kernel.Label({x: 250,y: 60,align: "center",text: "星繋ぎ",size: 60});
        new Tonyu.classes.kernel.Label({x: 350,y: 100,align: "left",text: "(ver."+Tonyu.globals.$GameVersion+")",size: 20});
        new Tonyu.classes.kernel.Label({x: 250,y: 200,align: "center",template: "ステージ数=$MaxStageCnt",size: 20});
        new Tonyu.classes.kernel.Button({top: 250,text: "Start",onClick: Tonyu.bindFunc(_this,_this.StageStart)});
        if (Tonyu.globals.$bestResultTime!=- 1) {
          new Tonyu.classes.kernel.Label({x: 250,y: 350,text: "BestTime: "+Tonyu.globals.$bestResultTime,align: "center",size: 30,lifeKeeper: _this});
          new Tonyu.classes.kernel.Button({left: 150,top: Tonyu.globals.$screenHeight-100,width: 200,padding: 10,text: "Tweet",onClick: Tonyu.globals.$Main.Tweet});
          
        }
        
        _thread.retVal=_this;return;
      },
      StageStart :function _trc_Title_StageStart() {
        "use strict";
        var _this=this;
        
        _this.loadPage(Tonyu.classes.user.Stage);
      },
      fiber$StageStart :function _trc_Title_f_StageStart(_thread) {
        "use strict";
        var _this=this;
        //var _arguments=Tonyu.A(arguments);
        var __pc=0;
        
        
        _thread.enter(function _trc_Title_ent_StageStart(_thread) {
          if (_thread.lastEx) __pc=_thread.catchPC;
          for(var __cnt=100 ; __cnt--;) {
            switch (__pc) {
            case 0:
              _this.fiber$loadPage(_thread, Tonyu.classes.user.Stage);
              __pc=1;return;
            case 1:
              
              _thread.exit(_this);return;
            }
          }
        });
      },
      __dummy: false
    };
  },
  decls: {"methods":{"main":{"nowait":false},"StageStart":{"nowait":false}},"fields":{}}
});

//# sourceMappingURL=concat.js.map